ProFTPD Telnet IAC Buffer Overflow Exploit

This module exploits a stack overflow vulnerability in proftpd in order to install an agent. The vulnerability is within the function pr_netio_telnet_gets(). The issue is triggered when processing specially crafted Telnet IAC packets delivered to the FTP server.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2010-4221
Product Version: 
11.0
Released Date: 
Friday, April 29, 2011 - 00:00